Skip to content
Permalink
Browse files
HBASE-26773 [hbase-thirdparty] Introduce a hbase-unsafe module in hba…
…se-thirdparty to remove the direct references of Unsafe in our main code base (#78)

Signed-off-by: Andrew Purtell <apurtell@apache.org>
  • Loading branch information
Apache9 committed Mar 1, 2022
1 parent 3ecf75e commit 9f5c6e27c0519c0afb23e3dfcac5ddd19bffcfa9
Showing 5 changed files with 1,108 additions and 0 deletions.
@@ -0,0 +1,92 @@
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<!--
/**
* Licensed to the Apache Software Foundation (ASF) under one
* or more contributor license agreements. See the NOTICE file
* distributed with this work for additional information
* regarding copyright ownership. The ASF licenses this file
* to you under the Apache License, Version 2.0 (the
* "License"); you may not use this file except in compliance
* with the License. You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
-->
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.apache.hbase.thirdparty</groupId>
<artifactId>hbase-thirdparty</artifactId>
<version>4.0.2-SNAPSHOT</version>
<relativePath>..</relativePath>
</parent>
<artifactId>hbase-unsafe</artifactId>
<name>Apache HBase Unsafe Wrapper</name>
<description>
Wrap sun.misc.Unsafe to avoid referencing it in the main code base
</description>
<properties>
<maven.test.redirectTestOutputToFile>true</maven.test.redirectTestOutputToFile>
<!-- This library is meant to work with whatever HBase and Hadoop combos we still list
as recommended. The version here is what we'll test out of the box if you run mvn test
-->
<hbase.stable.version>2.4.8</hbase.stable.version>
<!-- should match the slf4j-api version used in the above hbase -->
<slf4j.version>1.7.30</slf4j.version>
<!-- These maybe need to match the main repo -->
<maven.checkstyle.version>3.1.0</maven.checkstyle.version>
<checkstyle.version>8.28</checkstyle.version>
</properties>
<dependencies>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-api</artifactId>
<version>${slf4j.version}</version>
</dependency>
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>4.13.2</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-simple</artifactId>
<version>${slf4j.version}</version>
<scope>test</scope>
</dependency>
</dependencies>
<build>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-checkstyle-plugin</artifactId>
<version>${maven.checkstyle.version}</version>
<dependencies>
<dependency>
<groupId>org.apache.hbase</groupId>
<artifactId>hbase-checkstyle</artifactId>
<version>${hbase.stable.version}</version>
</dependency>
<dependency>
<groupId>com.puppycrawl.tools</groupId>
<artifactId>checkstyle</artifactId>
<version>${checkstyle.version}</version>
</dependency>
</dependencies>
<configuration>
<configLocation>hbase/checkstyle.xml</configLocation>
<suppressionsLocation>hbase/checkstyle-suppressions.xml</suppressionsLocation>
<includeTestSourceDirectory>true</includeTestSourceDirectory>
</configuration>
</plugin>
</plugins>
</build>
</project>

0 comments on commit 9f5c6e2

Please sign in to comment.